Bug 2061614 - Pre compute Jenkins Plugins list
Summary: Pre compute Jenkins Plugins list
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Developer Tools and Services
Classification: Red Hat
Component: Jenkins
Version: 4.11
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.11
Assignee: Akram Ben Aissi
QA Contact: Jitendar Singh
Rolfe Dlugy-Hegwer
URL:
Whiteboard:
Depends On:
Blocks: 2061616 2069134
TreeView+ depends on / blocked
 
Reported: 2022-03-08 02:43 UTC by Akram Ben Aissi
Modified: 2022-07-01 09:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2061616 2069134 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Akram Ben Aissi 2022-03-08 02:43:56 UTC
the primary goal is to avoid the strong requirement of a midstream repository while running automated productisation (CPaaS) by providing a convenient way to generate the comprehensive list of plugins used by the Jenkins image.

the secondary goal is to remove supply chain errors which could rarely happen in case of a commit of the base-plugins.txt only, and in the meanwhile, if a transitive dependency changes, we could end-up release a different version compared to what we have test in local development environment or in CI.

Generating the comprehensive list of plugins at build time allows its strict usage during the CI build and the CPaaS build.

Before this PR, the comprehensive list of plugins was provided manually from the CI build logs to the ART team.
By having the list forcibly generated at commit time (a git pre-commit hook can now be added), and being checked at CI time, ensures that the commited list of plugins is the exactly one that will be tested during CI openshift/release#25817 ; and then, it can be used as-is in CPaaS as well without having to re-compute the list.
If a drift between the committed list of plugins and its locally computed comprehensive list is detected, the CI build fails by asking the developer to re-compute the list locally and push it to the code repository.

Comment 2 Jitendar Singh 2022-03-11 04:58:54 UTC
verified


Note You need to log in before you can comment on or make changes to this bug.